[app]
name = "nemt"
debug = true
disable-zip-validation = true

  [app.docs]
  swagger-path = "/opt/app/nemt-portal-api/static/swagger-ui"
  yaml-path = "/opt/app/nemt-portal-api/docs/swagger"

[db]
host = "db01.cj5318jcaupw.us-east-2.rds.amazonaws.com"
port = 3306
name = "nemt"
user = "nemt-user"
pass = "OL&!n#p6J8Lu"
max-life-minutes = 5
max-idle-conns = 5
max-open-conns = 100

[http]
port = 5100
prefix = "/v1"

  [http.auth]
  app-key = "8a266a40-ed2e-4be2-bdfc-459a507bf02e"
  certificate-path = "/opt/app/static/cert/nemt-portal-api.key"
  frontend-urls = [
    "http://localhost:3100"
  ]

[aws]
s3-bucket = "static.nemt-portal-api.com.br/prod"

[cache]
server = "internal-REDIS-INT-ELB01-661255167.us-east-2.elb.amazonaws.com"
port = 6379
db = 0
pass = "3rdaP3KL2x%V"
prefix = "portal-api-prod"
default-expiration = "5m"
master-name = "master01"

[log]
log-to-file = false
path = "nemt-portal-api.log"

[twilio]
account = "AC3106c1aeb2c74b7e45adc1ba0ff8c6e2" 
token = "36ba77236be5eb5848b3746e4400f4e2"
sender = "+17084261667"
twiml-sid = "APc33ccb8af94ecf3d61c6bfd9a7f69749"

[email]
server = "email-smtp.us-east-1.amazonaws.com"
port = 587
user = "AKIAIP2QTIHICY5I5BBA"
pass = "AkInsFK64iCbrAftVnVGFVVJOcMIG/pv8k1aFZwAQ5lF"
sender = "no-reply@chmhub.com"

[google-shortener]
client-id = "1059812138553-t7jents4d3a7uqpb9ms9nf2luqkqplrt.apps.googleusercontent.com"
secret-key = "r478-RtEmvAcDWlLQk1CZatQ"
api-key = "AIzaSyAQsoEaUmg96-TxxNCTJhyu5HEOLBzxcCw"

[lyft]
key = "KkS0DgSPuJ84"
secret = "SANDBOX-8LxipL9BYDJrcAZSgqr8yODjQRDXQQ_T"
token = "UyjcHl7fC6LxRWgZ8I6-_LJ0_j6YcWNg9ct2xEXMdX2iRiGrMrjrbJmxtPlNPGvN"

[lyft-prod]
key = "KkS0DgSPuJ84"
secret = "8LxipL9BYDJrcAZSgqr8yODjQRDXQQ_T"
token = "Xa8n7M8TQ62iRpElan0gaPZwaPzUIa85G-epIesWJysJgOQU5zRDLdqD1ygZk8-Y"
user-uuid = "11a49fa4-fbc7-4fe9-87fe-52a5bc3b71f8"

[bxe]
url = "https://api-pve.bcbs.com/BXDirectConnect/V30"
key = "c63z7gv9a5qz2zgx7zcm3253"
secret = "hK4Yc9jtBrxaZTr4UU2VsfX9"

[blue365]
url = "https://api-cloud.bcbs.com/blue365deals-stg/v1/validatePrefix/"
key = "jcn5xjxvarc96rtjxp25dctj"
secret = "6XdEusG2w2PWWXsfXVyweQnY"

[eligibility]
url = "https://portal-api.bcbsinstitute.com/v1/nemt/eligibility"